﻿@model IEnumerable<Comment>
@using LawMingo.Helpers
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section Meta{
    <meta name="description" content="@ViewData["Description"]" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="@ViewData["Title"]" />
    <meta property="og:description" content="@ViewData["Description"]" />
    <meta property="og:url" content="https://lawmingo.com/questions" />

    <link href="~/css/Questions.css" rel="stylesheet" />
<style>
    [v-cloak] { display: none } 
</style>
}
@section Scripts{
    <script src="~/Publish/Validation.min.js" asp-append-version="true"></script>
    <script src="~/js/Questions.js"></script>
    <script>
        $(function() {
            if(window.location.hash) {
                  var hash = window.location.hash.substring(1);
                if (hash == 'new') {
                    $('.newqbox').slideToggle();
                }
              }
        });
            var _questions = new Vue({
        el: '.morequestions',
        data: {
            items: [],
            dataloaded: true,
            rowperpage: 10,
            row: @Model.Count(),
            end : false,
            text:'بیشتر ...'
        },
        beforeCreate: function () {
            //this.getData();
        },
        methods: {
            getData: function () {
                   
                var ret = $.ajax({
                    type: "GET",
                    url: "/api/Questions",
                    data :{ id : 1  , row : _questions.row},
                    dataType: "json",
                    complete: function (response) {
                        if (response.responseJSON.length > 0) {
                             _questions.row += _questions.rowperpage;

                            var len = _questions.items.length;
                            if(len > 0){
                                _questions.text = "در حال بروزرسانی ...";
                                setTimeout(function() {
                                _questions.text = "بیشتر ...";
                                for (let i = 0; i < response.responseJSON.length; i++){
                                    _questions.$data.items.push(response.responseJSON[i]); 
                                } 
                                },500);
                            }
                            else {
                                _questions.$data.items = response.responseJSON;
                            }

                             _questions.$data.dataloaded = true;
                        }
                        else {
                            _questions.$data.end = true;
                        }
                           
                    }
                });
            }
        }
    });

    </script>
}
<div class="qcontainer">
    @if (ViewData["cats"] != null)
    {
        <div class="container" style="padding:0px">
            @await Html.PartialAsync("_QuestiuonBreadCrump", ViewData["cats"] as List<CounselorCategory>)
        </div>
    }
    @await Html.PartialAsync("_NewQuestionBox")

    @foreach (var item in Model)
    {
        <div class="container qcard">
            <div class="row">
                <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12">
                    <div class="row flex-row-reverse">
                        <div class="col-md-2 align-center informations">
                            <div class="code"><a target="_blank" title="@item.Subject" href="question/@item.Code/@item.Subject.URLFriendly().Replace(' ' , '_')">#@item.Code</a></div>
                            <div class="time">
                                @LawMingo.Helpers.Times.ElapsedTime(item.Time)
                            </div>
                            @await Html.PartialAsync("_QuestiuonTags", item.Tags)

                        </div>
                        <div class="col-md-10">
                            <a href="/question/@item.Code/@item.Subject.URLFriendly().Replace(' ' , '_')">
                                <h1>
                                    @item.Subject
                                </h1>
                            </a>

                            <p>
                                @{
                                    var max = item.Content.Length > 260 ? 260 : item.Content.Length;
                                }
                                @Html.Raw(item.Content.Substring(0, max))
                                @(item.Content.Length > max ? "..." : "")
                            </p>
                        </div>
                    </div>

                </div>
            </div>
        </div>

    }
<div class="morequestions">
    <div v-cloak v-for="item in items" class="container qcard" :id="`q_${item.id}`">
        <div class="row">
            <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12">
                <div class="row flex-row-reverse">
                    <div class="col-md-2 align-center informations">
                        <div class="code"><a target="_blank" :href="item.url">#{{item.code}}</a></div>
                        <div class="time" v-html="item.time">
                        </div>
                        <div v-if="item.tags != null" class="tags">
                            <span class="tag" v-for="_item in item.tags.split(',')">
                                <a :href="`/questions/tag/${_item.replace(' ' , '_')}`">{{_item}}</a>
                            </span>
                        </div>

                    </div>
                    <div class="col-md-10">
                        <a :href="item.url">
                            <h1 v-html="item.subject">
                            </h1>
                        </a>

                        <p v-html="item.content">
                        </p>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <div v-if="row >= rowperpage" style="display:flex;justify-content:center">
        <a class="btn" style="display: inline-flex;text-align: left;background: rgb(60, 69, 76);border-radius: 20px;color: rgb(255, 255, 255);padding: 5px 20px;direction: rtl;" @@click='getData()' v-cloak v-if="!end" v-html="text"></a>
    </div>
</div>
</div>
